﻿namespace GenrerateSqlDescription
{
    using System;
    using System.Windows.Forms;

    public partial class FrmMain : Form
    {
        private readonly SqlNotesGenerator _sqlNotesGenerator = new SqlNotesGenerator();
        public FrmMain()
        {
            InitializeComponent();
        }

        private void BtnSelectFolder_Click(object sender, EventArgs e)
        {
            var dlgResult = folderBrowserDialog.ShowDialog();
            if (dlgResult != DialogResult.OK) return;
            txtPath.Text = folderBrowserDialog.SelectedPath;
            BtnOk_Click(sender, e);
        }

        private void BtnOk_Click(object sender, EventArgs e)
        {
            _sqlNotesGenerator.Path = txtPath.Text;
            _sqlNotesGenerator.GenDrop = chkDrop.Checked;
            txtContent.Text = _sqlNotesGenerator.GetGenerateSql();
        }

        private void BtnCopy_Click(object sender, EventArgs e)
        {
            txtContent.Focus();
            txtContent.SelectAll();
            Clipboard.SetText(txtContent.Text);
        }
    }
}
